Get Gateway
curl --request GET \
--url https://api-sandbox.synctera.com/v0/cards/gateways/{gateway_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.synctera.com/v0/cards/gateways/{gateway_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.synctera.com/v0/cards/gateways/{gateway_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"active": true,
"card_products": [
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
],
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"last_modified_time": "2010-05-06T12:23:34.321Z",
"url": "<string>",
"custom_headers": {},
"standin": {
"enabled": true
}
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Cards
Get Gateway
Get the details of an Authorization Gateway that has been configured
GET
/
cards
/
gateways
/
{gateway_id}
Get Gateway
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of an Authorization gateway config
Response
Gateway details
Current status of the Authorization gateway
List of Card Product unique identifiers that will utilize the Gateway
The timestamp representing when the gateway config request was made
Example:
"2010-05-06T12:23:34.321Z"
Gateway ID
Example:
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The timestamp representing when the gateway config was last modified at
Example:
"2010-05-06T12:23:34.321Z"
URL of the Authorization gateway
Maximum string length:
1000Custom Headers of the Authorization gateway
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I

